Package org.apache.qpid.proton.codec

# Class CharacterType.CharacterEncoding

java.lang.Object
org.apache.qpid.proton.codec.CharacterType.CharacterEncoding

All Implemented Interfaces:
  `PrimitiveTypeEncoding<Character>`, `TypeConstructor<Character>`, `TypeEncoding<Character>`

Enclosing class:
  `CharacterType`

public class CharacterType.CharacterEncoding extends Object

## Constructor Summary

Constructors
Constructor
Description
`CharacterEncoding(EncoderImpl encoder, DecoderImpl decoder)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`boolean`
`encodesSuperset(TypeEncoding<Character> encoding)`
`int`
`getConstructorSize()`
`protected DecoderImpl`
`getDecoder()`
`protected EncoderImpl`
`getEncoder()`
`byte`
`getEncodingCode()`
`protected int`
`getFixedSize()`
`CharacterType`
`getType()`
`Class<Character>`
`getTypeClass()`
`final int`
`getValueSize(Character val)`
`final boolean`
`isFixedSizeVal()`
`char`
`readPrimitiveValue()`
`Character`
`readValue()`
`final void`
`skipValue()`
`void`
`write(char c)`
`final void`
`writeConstructor()`
`void`
`writeValue(char val)`
`void`
`writeValue(Character val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CharacterEncoding

public CharacterEncoding(EncoderImpl encoder, DecoderImpl decoder)

## Method Details

### getFixedSize

protected int getFixedSize()

### getEncodingCode

public byte getEncodingCode()

Specified by:
  `getEncodingCode` in interface `PrimitiveTypeEncoding<Character>`

### getType

public CharacterType getType()

### writeValue

public void writeValue(Character val)

### writeValue

public void writeValue(char val)

### write

public void write(char c)

### encodesSuperset

public boolean encodesSuperset(TypeEncoding<Character> encoding)

### readValue

public Character readValue()

### readPrimitiveValue

public char readPrimitiveValue()

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor<Character>`
Specified by:
  `encodesJavaPrimitive` in interface `TypeEncoding<Character>`

### isFixedSizeVal

public final boolean isFixedSizeVal()

### getValueSize

public final int getValueSize(Character val)

### skipValue

public final void skipValue()

### writeConstructor

public final void writeConstructor()

Specified by:
  `writeConstructor` in interface `PrimitiveTypeEncoding<T>`
Specified by:
  `writeConstructor` in interface `TypeEncoding<T>`

### getConstructorSize

public int getConstructorSize()

Specified by:
  `getConstructorSize` in interface `PrimitiveTypeEncoding<T>`
Specified by:
  `getConstructorSize` in interface `TypeEncoding<T>`

### getEncoder

protected EncoderImpl getEncoder()

### getTypeClass

public Class<Character> getTypeClass()

Specified by:
  `getTypeClass` in interface `TypeConstructor<T>`

### getDecoder

protected DecoderImpl getDecoder()